Extraction-field breakdowns (objections, closing lines, upsells)
curl --request GET \
--url https://api.pineyard.ai/speech/insights/fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/insights/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/insights/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"fields": [
{
"field": "<string>",
"label": "<string>",
"total": 123,
"values": [
{
"value": "<string>",
"sample": "<string>",
"count": 123,
"share": 123,
"convertedRate": 123,
"classifiedSample": 123
}
],
"spec": {
"name": "<string>",
"label": "<string>",
"kind": "<string>",
"description": "<string>",
"powers": "<string>",
"missingHint": "<string>"
}
}
]
}Insights
Extraction-field breakdowns (objections, closing lines, upsells)
GET
/
speech
/
insights
/
fields
Extraction-field breakdowns (objections, closing lines, upsells)
curl --request GET \
--url https://api.pineyard.ai/speech/insights/fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/insights/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/insights/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"fields": [
{
"field": "<string>",
"label": "<string>",
"total": 123,
"values": [
{
"value": "<string>",
"sample": "<string>",
"count": 123,
"share": 123,
"convertedRate": 123,
"classifiedSample": 123
}
],
"spec": {
"name": "<string>",
"label": "<string>",
"kind": "<string>",
"description": "<string>",
"powers": "<string>",
"missingHint": "<string>"
}
}
]
}
